Foreman - Bug #22902

Update default memory amount to reflect modern OS requirements

03/14/2018 04:50 PM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Compute resources
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5326
Description

Currently, when provisioning a new virtual machine, Foreman uses it's default memory configuration. That may differ from the
Operating System’s minimum requirements. For CentOS 7, the minimum is really 1 GB. For Fedora 27, 1 GB is often not enough — if
you are doing more than a minimal install, it will fail. The fedora docs say for systems 1GB or less to use the DVD, as the network

install requires more memory.

It's not a great user experience when a user goes to provision a CentOS 7 VM, we suggest 768mb, and that fails to install. Other

OS'’s have similar limitations.

Associated revisions

Revision 60668e77 - 03/15/2018 12:54 PM - Stephen Benjamin
fixes #22902 - change suggested memory to 2GB

History

#1 - 03/14/2018 04:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5326 added

#2 - 03/15/2018 12:55 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#3 - 03/15/2018 01:01 PM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 60668e77133ade7fe6a9522d73e50e7c75fe2277.
